# Interface methods for submodule: KdTreeBasedKmeansEstimator
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: KdTreeBasedKmeansEstimator
class KdTreeBasedKmeansEstimatorProxy(_ObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetOutput(self):
		""""""
		...

	def SetParameters(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def GetParameters(self) -> Sequence[float]:
		""""""
		...

	def SetMaximumIteration(self, _arg: int) -> None:
		""""""
		...

	def GetMaximumIteration(self) -> int:
		""""""
		...

	def SetCentroidPositionChangesThreshold(self, _arg: float) -> None:
		""""""
		...

	def GetCentroidPositionChangesThreshold(self) -> float:
		""""""
		...

	def SetKdTree(self, tree) -> None:
		""""""
		...

	def GetKdTree(self):
		""""""
		...

	def GetMeasurementVectorSize(self) -> int:
		""""""
		...

	def GetCurrentIteration(self) -> int:
		""""""
		...

	def GetCentroidPositionChanges(self) -> float:
		""""""
		...

	def StartOptimization(self) -> None:
		""""""
		...

	def SetUseClusterLabels(self, _arg: bool) -> None:
		""""""
		...

	def GetUseClusterLabels(self) -> bool:
		""""""
		...

	def UseClusterLabelsOn(self) -> None:
		""""""
		...

	def UseClusterLabelsOff(self) -> None:
		""""""
		...

